| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_StdDescriptor_Interface_Association_t Struct Reference
USB Descriptors

Standard USB Interface Association Descriptor (USB-IF naming conventions). More...

`#include <StdDescriptors.h>`

## Data Fields
uint8_t | bDescriptorType
uint8_t | bFirstInterface
uint8_t | bFunctionClass
uint8_t | bFunctionProtocol
uint8_t | bFunctionSubClass
uint8_t | bInterfaceCount
uint8_t | bLength
uint8_t | iFunction

## Detailed Description

Type define for a standard Interface Association Descriptor. This structure uses the relevant standard's given element names to ensure compatibility with the standard.

This descriptor has been added as a supplement to the USB2.0 standard, in the ECN located at http://www.usb.org/developers/docs/InterfaceAssociationDescriptor_ecn.pdf. It allows composite devices with multiple interfaces related to the same function to have the multiple interfaces bound together at the point of enumeration, loading one generic driver for all the interfaces in the single function. Read the ECN for more information.

See also
  USB_Descriptor_Interface_Association_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_StdDescriptor_Interface_Association_t::bDescriptorType

Type of the descriptor, either a value in USB_DescriptorTypes_t or a value given by the specific class.

uint8_t USB_StdDescriptor_Interface_Association_t::bFirstInterface

Index of the first associated interface.

uint8_t USB_StdDescriptor_Interface_Association_t::bFunctionClass

Interface class ID.

uint8_t USB_StdDescriptor_Interface_Association_t::bFunctionProtocol

Interface protocol ID.

uint8_t USB_StdDescriptor_Interface_Association_t::bFunctionSubClass

Interface subclass ID.

uint8_t USB_StdDescriptor_Interface_Association_t::bInterfaceCount

Total number of associated interfaces.

uint8_t USB_StdDescriptor_Interface_Association_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_StdDescriptor_Interface_Association_t::iFunction

Index of the string descriptor describing the interface association.

The documentation for this struct was generated from the following file:

- Drivers/USB/Core/StdDescriptors.h